远方199599 2019-02-10 15:12 采纳率: 33.3%
浏览 3275
已采纳

webpack问题(将能正常运行的项目除了node_modules文件复制了一份,然后cnpm i之后装完之后不能运行)

将能正常运行的项目除了node_modules文件外复制了一份,然后cnpm i之后装完之后不能运行

图片说明

npm run dev之后结果如下

package.json

{
  "name": "re",
  "version": "1.0.0",
  "description": "",
  "main": "index.js",
  "scripts": {
    "test": "echo \"Error: no test specified\" && exit 1",
    "dev": "webpack-dev-server --open --port 3001 --hot --mode development"
  },
  "keywords": [],
  "author": "",
  "license": "ISC",
  "devDependencies": {
    "@babel/core": "^7.2.2",
    "@babel/runtime": "^7.3.1",
    "babel-loader": "^8.0.5",
    "babel-plugin-component": "^1.1.1",
    "css-loader": "^2.1.0",
    "file-loader": "^3.0.1",
    "html-webpack-plugin": "^3.2.0",
    "jquery": "^3.3.1",
    "popper.js": "^1.14.7",
    "style-loader": "^0.23.1",
    "url-loader": "^1.1.2",
    "vue-loader": "^15.6.2",
    "vue-template-compiler": "^2.6.2",
    "webpack": "^4.29.0",
    "webpack-cli": "^3.2.1",
    "webpack-dev-server": "^3.1.14"
  },
  "dependencies": {
    "@babel/plugin-proposal-class-properties": "^7.3.0",
    "@babel/plugin-transform-runtime": "^7.2.0",
    "@babel/preset-env": "^7.3.1",
    "babel-cli": "^6.26.0",
    "mint-ui": "^2.2.13",
    "vue": "^2.6.2",
    "vue-router": "^3.0.2"
  }
}

求大神帮忙看看,小弟感激不尽

  • 写回答

2条回答 默认 最新

  • little pig 2019-02-12 15:41
    关注

    有错误信息的截图吗?估计是依赖包版本的问题,cnpm i 都是安装依赖包的最新版本。你的项目中有package.lock.json文件?如果有的话直接npm install ,他会根据锁定的版本进行安装。没有的话只能根据错误提示看看什么情况了

    本回答被题主选为最佳回答 , 对您是否有帮助呢?
    评论
查看更多回答(1条)

报告相同问题?

悬赏问题

  • ¥30 sort cuteSV.vcf by bcftools用IGV可视化出现报错
  • ¥100 SOS!对STK中导出的天体图像进行质心提取有没有人做过啊
  • ¥15 python 欧式距离
  • ¥15 运行qteasy报错
  • ¥15 遗传算法解决有工序顺序约束的大规模FJSP问题
  • ¥15 企业消防水炮塔设计方案
  • ¥20 WORKBENCH网格划分
  • ¥60 急招师兄远程解决下载NPCAP的BUG!
  • ¥15 关于#51单片机#的问题:51单片机LM1602的数据只能显示一个字符,在使用矩形键盘送数据的时候不能显示出来而是在显示初始位置上,达不到密码锁的效果
  • ¥15 求旧版本ns-2软件